# -*- coding: UTF-8 -*-

class BasicTaskRunner(object):
    """
    Базовая реализация объекта выполняющего задачи
    Эта реализация выполняет функции непосредственно
    Используется в кассе
    """
    def __init__(self):
        pass
    
    def addAsyncTask(self, id, function, args):
        """
        Добавляет задачу на выполнение
        @param id идентификатор задачи
        @param function функция которая будет выполнена
        @param args аргументы функции
        """
        function(*args)
     
    def stopAllTasks(self):
        """
        Остановка всех запущенных задач
        """
        pass
    
    def init(self, countOfTasks):
        """
        Инициализация
        @param countOfTasks количество параллельно выполняемых задач
        """
        pass
