import mysql.simplesql as sql

tables = ['cardgroupsearchplace']


def insertCardGroupSearchPlace(cardGroup):
    yield sql.Insert(table='cardgroupsearchplace', values={
        'idcardgroup': cardGroup.get('idcardgroup', None),
        'searchplace': cardGroup.get('searchplace', None),
        'name': cardGroup.get('name', None),
        'extendedparams': cardGroup.get('extendedparams', None)
    })


def deleteCardGroupSearchPlace(cardGroup):
    for i in deleteCardGroupSearchPlaceById(cardGroup.get('idcardgroup', None)):
        yield i


def deleteCardGroupSearchPlaceById(id):
    yield sql.Delete(table='cardgroupsearchplace', whereFields=['idcardgroup'], whereValues=[id])


def clearCardGroupSearchPlace():
    yield sql.DeleteAll('cardgroupsearchplace')
