import mysql.simplesql as sql

tables = ['catalogattribute']


def insertCatalogAttribute(catalogattribute):
    yield sql.Insert(table='catalogattribute', values={
        'catalogid': catalogattribute.get('catalogid', None),
        'alcoholpercent': catalogattribute.get('alcoholpercent', None),
        'age': catalogattribute.get('age', None),
        'attribute': catalogattribute.get('attribute', None),
        'egaistype': catalogattribute.get('egaistype', None)
    })


def clearCatalogAttribute():
    yield sql.DeleteAll(table='catalogattribute')


def deleteCatalogAttribute(catalogattribute):
    yield sql.Delete(table='catalogattribute', whereFields=['catalogid'],
            whereValues=[catalogattribute.get('catalogid', None)])


def deleteCatalogAttributeById(id):
    yield sql.Delete(table='catalogattribute', whereFields=['catalogid'], whereValues=[id])
