import mysql.simplesql as sql

tables = ['timeperiod']


def insertTimePeriod(timeperiod):
    yield sql.Insert(table='timeperiod', values={
        'timeperiodid': timeperiod.get('idtimeperiod', None),
        'campaignid': timeperiod.get('iddiscountaction', None),
        'date_end': timeperiod.get('dateend', None) if timeperiod.get('dateend', None) else None,
        'date_start': timeperiod.get('datestart', None) if timeperiod.get('datestart', None) else None,
        'day_end': timeperiod.get('dayend', None),
        'day_start': timeperiod.get('daystart', None),
        'time_end': timeperiod.get('timeend', None) if timeperiod.get('timeend', None) else None,
        'time_start': timeperiod.get('timestart', None) if timeperiod.get('timestart', None) else None
    })


def deleteTimePeriod(timeperiod):
    yield sql.Delete(table='timeperiod', whereFields=['timeperiodid'],
            whereValues=[timeperiod.get('idtimeperiod', None)])


def clearTimePeriod():
    yield sql.DeleteAll(table='timeperiod')
